Bug 223130 - devel/readline: Add pkgconfig file (readline.pc)
Summary: devel/readline: Add pkgconfig file (readline.pc)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-20 14:32 UTC by Boris Samorodov
Modified: 2017-10-30 15:07 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments
Add pkgconfig file (readline.pc) (1.46 KB, patch)
2017-10-20 14:32 UTC, Boris Samorodov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2017-10-20 14:32:39 UTC
Created attachment 187327 [details]
Add pkgconfig file (readline.pc)

1. The port does not install readline.pc file, but it does present at distribution. Fix it.

2. readline requires a base library tinfo (and document it at readline.pc). While trying to get 'pkg-config --cflags readline' we get an error:
---
   Package tinfo was not found in the pkg-config search path.
   Perhaps you should add the directory containing `tinfo.pc'
   to the PKG_CONFIG_PATH environment variable
   Package 'tinfo', required by 'readline', not found
---
Comment the 'Required' line since FreeBSD does not use *.pc files for base libs.
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-10-24 15:40:12 UTC
Request exp-run.
Comment 2 Antoine Brodin freebsd_committer 2017-10-28 18:51:20 UTC
Exp-run looks fine.
Comment 3 commit-hook freebsd_committer 2017-10-30 14:54:43 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Oct 30 14:54:29 UTC 2017
New revision: 453182
URL: https://svnweb.freebsd.org/changeset/ports/453182

Log:
  Install readline.pc

  - Bump PORTREVISION for package change

  PR:		223130
  Submitted by:	bsam
  Exp-run by:	antoine

Changes:
  head/devel/readline/Makefile
  head/devel/readline/pkg-plist
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-10-30 15:07:42 UTC
Committed. Thanks!